Debian Bug report logs - #675308
please support serial consoles when using upstart

version graph

Package: live-config; Maintainer for live-config is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config is src:live-config.

Reported by: "Trent W. Buck" <trentbuck@gmail.com>

Date: Thu, 31 May 2012 07:12:01 UTC

Severity: wishlist

Fixed in version live-config/3.0~a38-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#675308; Package live-config. (Thu, 31 May 2012 07:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 31 May 2012 07:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: 019-upstart breaks /etc/init/ttyS0.conf.
Date: Thu, 31 May 2012 17:09:26 +1000
Package: live-config
Severity: normal
Tags: upstream

This issue is present in git as at debian/3.0_a37-1.

The script live-config/scripts/config/019-upstart edits /etc/init/tty*
This include ttyS0.conf i.e. a serial port, which it changes to

    exec /bin/login -f cyber </dev/ttyS0 >/dev/ttyS0 2>&1

AFAIK this can't possibly work.  Therefore I suggest you change the
glob to only match ttys that start with a digit, and for good measure
to only match .conf files:

    for _FILE in /etc/init/tty*           # before
    for _FILE in /etc/init/tty[0-9]*.conf # after

    # Note there are two such loops in the file.

This will not make the serial consoles auto-log-in, but it will at
least let them remain functional (tested and confirmed).

This issue does not appear to affect the corresponding sysvinit
script, 017-sysvinit, as it matches on the regexp tty[0-9]*.

PS: my workaround for now is to do live-noconfig=upstart, which skips
the entire script.  This is safe *for me* as at precise as the only
thing that 019-upstart does is edit the tty* files, and I have only
serial consoles on my target hardware.

-- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric-updates
  APT policy: (990, 'oneiric-updates'), (990, 'oneiric-security'), (990, 'oneiric'), (500, 'precise-updates'), (500, 'precise-security'), (500, 'precise')
Architecture: armel (armv7l)

Kernel: Linux 2.6.36.4 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#675308; Package live-config. (Thu, 31 May 2012 07:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 31 May 2012 07:24:07 GMT) Full text and rfc822 format available.

Message #10 received at 675308@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: "Trent W. Buck" <trentbuck@gmail.com>
Cc: 675308@bugs.debian.org
Subject: Re: Bug#675308: 019-upstart breaks /etc/init/ttyS0.conf.
Date: Thu, 31 May 2012 09:21:23 +0200
tag 675308 - upstream
severity 675308 wishlist
retitle 675308 please support serial consoles when using upstart
thanks

On 05/31/2012 09:09 AM, Trent W. Buck wrote:
> This will not make the serial consoles auto-log-in, but it will at
> least let them remain functional (tested and confirmed).

why not fix this properly instead then and make it work with autologin
on serial consoles?

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Removed tag(s) upstream. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 31 May 2012 07:24:08 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 31 May 2012 07:24:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'please support serial consoles when using upstart' from '019-upstart breaks /etc/init/ttyS0.conf.' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 31 May 2012 07:24:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#675308; Package live-config. (Thu, 31 May 2012 09:50:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 31 May 2012 09:50:29 GMT) Full text and rfc822 format available.

Message #21 received at 675308@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: 675308@bugs.debian.org
Subject: Re: Bug#675308: 019-upstart breaks /etc/init/ttyS0.conf.
Date: Thu, 31 May 2012 19:23:30 +1000
Daniel Baumann wrote:
> tag 675308 - upstream
> severity 675308 wishlist
> retitle 675308 please support serial consoles when using upstart
> thanks
> 
> On 05/31/2012 09:09 AM, Trent W. Buck wrote:
> > This will not make the serial consoles auto-log-in, but it will at
> > least let them remain functional (tested and confirmed).
> 
> why not fix this properly instead then and make it work with autologin
> on serial consoles?

I can't think of a proper fix.  I don't use autologins, so I don't
care enough to invest effort trying to come up with a proper fix.

I've notified you that the bug is there, and suggested a quick fix to
bring the Ubuntu behaviour in line with the current Debian behaviour.
If you prefer to not do that, and wait for someone to care enough to
fix it properly, that's cool with me.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#675308; Package live-config. (Mon, 04 Jun 2012 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 04 Jun 2012 10:45:07 GMT) Full text and rfc822 format available.

Message #26 received at 675308@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: "Trent W. Buck" <trentbuck@gmail.com>
Cc: 675308@bugs.debian.org
Subject: Re: Bug#675308: 019-upstart breaks /etc/init/ttyS0.conf.
Date: Mon, 04 Jun 2012 12:42:41 +0200
On 05/31/2012 11:23 AM, Trent W. Buck wrote:
> I can't think of a proper fix.  I don't use autologins, so I don't
> care enough to invest effort trying to come up with a proper fix.

ok; since i personally don't care about upstart anyhow and therefore am
not going to do the complete fix myself, i'll just apply this then, thanks.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 04 Jun 2012 15:27:06 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Mon, 04 Jun 2012 15:27:07 GMT) Full text and rfc822 format available.

Message #31 received at 675308-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 675308-close@bugs.debian.org
Subject: Bug#675308: fixed in live-config 3.0~a38-1
Date: Mon, 04 Jun 2012 15:24:21 +0000
Source: live-config
Source-Version: 3.0~a38-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive:

live-config-doc_3.0~a38-1_all.deb
  to main/l/live-config/live-config-doc_3.0~a38-1_all.deb
live-config-systemd_3.0~a38-1_all.deb
  to main/l/live-config/live-config-systemd_3.0~a38-1_all.deb
live-config-sysvinit_3.0~a38-1_all.deb
  to main/l/live-config/live-config-sysvinit_3.0~a38-1_all.deb
live-config-upstart_3.0~a38-1_all.deb
  to main/l/live-config/live-config-upstart_3.0~a38-1_all.deb
live-config_3.0~a38-1.debian.tar.gz
  to main/l/live-config/live-config_3.0~a38-1.debian.tar.gz
live-config_3.0~a38-1.dsc
  to main/l/live-config/live-config_3.0~a38-1.dsc
live-config_3.0~a38-1_all.deb
  to main/l/live-config/live-config_3.0~a38-1_all.deb
live-config_3.0~a38.orig.tar.gz
  to main/l/live-config/live-config_3.0~a38.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675308@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 04 Jun 2012 12:46:41 +0200
Source: live-config
Binary: live-config live-config-doc live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 3.0~a38-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Debian Live - System Configuration Scripts
 live-config-doc - Debian Live - System Configuration Scripts (documentation)
 live-config-systemd - Debian Live - System Configuration Scripts (systemd backend)
 live-config-sysvinit - Debian Live - System Configuration Scripts (sysvinit backend)
 live-config-upstart - Debian Live - System Configuration Scripts (upstart backend)
Closes: 675308
Changes: 
 live-config (3.0~a38-1) experimental; urgency=low
 .
   [ chals ]
   * Revising grammar in French translation.
 .
   [ Daniel Baumann ]
   * Simplyfing reading of configuration files.
   * Improving on-demand creation of ssh host keys in openssh-server
     script.
   * Avoid breaking serial consoles when using upstart, thanks to Trent
     W. Buck <trentbuck@gmail.com> (Closes: #675308).
Checksums-Sha1: 
 6cf0aad927cd194e172de5fe081bd4443e105846 1557 live-config_3.0~a38-1.dsc
 a6cedc325e86644ccb2979660ae8824677448d82 111307 live-config_3.0~a38.orig.tar.gz
 982d0e6f73ee1efc18202f279d610fb62fa7e7c0 11366 live-config_3.0~a38-1.debian.tar.gz
 b70f42af92e39bab2e6f1aebbc67894b14231741 25450 live-config_3.0~a38-1_all.deb
 5ef0fc76b045e00b5bc1c9170cfade9a081382c9 45906 live-config-doc_3.0~a38-1_all.deb
 1dc664f9b1123ef95b6cd7fe22496e29ab77cdbe 10640 live-config-systemd_3.0~a38-1_all.deb
 d16c75645c7f1a89c04eb1dcc240cc734cc6f2bd 12116 live-config-sysvinit_3.0~a38-1_all.deb
 80cc6f48ffbe686a5ff1a2a1dfeaff7b4096ade8 11624 live-config-upstart_3.0~a38-1_all.deb
Checksums-Sha256: 
 908d35240838569468c10727ae7d472d4580674ab70c6a2bb6f178276e21ec97 1557 live-config_3.0~a38-1.dsc
 d1291c8095ee31ba29ed5791247eb2029b51a8daa334b52b059be36c87573a41 111307 live-config_3.0~a38.orig.tar.gz
 9ee6cf36f5ac1e98703ef38c20b214943eb224d757063d42080fdd3efab3094c 11366 live-config_3.0~a38-1.debian.tar.gz
 9657f984c403185d45a5abb6f410d25c0979c73904fec7ad068cd1d0208771d8 25450 live-config_3.0~a38-1_all.deb
 8cb526017bad02ec322df3cff04132224c5cc4aa3be79aa9704fa82fccda1abb 45906 live-config-doc_3.0~a38-1_all.deb
 bc5bb26cd7269a310231d03515c68a971d7f124833440dfd84d490e56e7a541b 10640 live-config-systemd_3.0~a38-1_all.deb
 2eb8796abce489318ff13ce70c81359acd5be9ed5d7b3ec76663e4096259b25a 12116 live-config-sysvinit_3.0~a38-1_all.deb
 faf7db349809efa262932791a76bdbcdf37eb87cbe3f39de35ef382d83b7ff8e 11624 live-config-upstart_3.0~a38-1_all.deb
Files: 
 d4b2badb64e8e57f0121cd7e191bdb25 1557 misc optional live-config_3.0~a38-1.dsc
 0b259b32d05a379fbd72c0837ffc4552 111307 misc optional live-config_3.0~a38.orig.tar.gz
 f36d334f2f203819b1a6089cb4d47d35 11366 misc optional live-config_3.0~a38-1.debian.tar.gz
 cd6d73c251b7b46d27836b57ab61a634 25450 misc optional live-config_3.0~a38-1_all.deb
 3c3a4a7e7d7fe84fc2df989b4ee0d1dd 45906 doc optional live-config-doc_3.0~a38-1_all.deb
 8083b714945a98f8f83d5b16d14baf60 10640 misc optional live-config-systemd_3.0~a38-1_all.deb
 a2e6e37c0394536bc1857bbc6f35f41d 12116 misc optional live-config-sysvinit_3.0~a38-1_all.deb
 6fb01e12210197b602dbb4e184d12123 11624 misc optional live-config-upstart_3.0~a38-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/MxRgACgkQ+C5cwEsrK55s0QCg2pnGqjTuW2Gmw/aKMHUSQe5P
LCgAnA4ZRhWw9RXBeTFAToiVKL30jU6z
=YsCW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Jul 2012 07:26:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:35:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.